VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Datastore::Summary Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Datastore::Summary:

## Avaliable Methods
public method | set_free_space ()
public method | set_capacity ()
public method | get_free_space ()
public method | set_type ()
public method | set_name ()
public method | get_datastore ()
public method | set_datastore ()
public method | get_capacity ()
public method | new ()
public method | get_type ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vcenter::Datastore::Summary` class contains commonly used information about a datastore.

## Member Function Documentation

public method Com::Vmware::Vcenter::Datastore::Summary::get_capacity | ( |  | ) |

Gets the value of 'capacity' property.

Return values

  capacity | - The current value of the field. Capacity of this datastore, in bytes.

The server periodically updates this value.

Optional#

Code:
click to view
# Number of lines of code in get_capacity: 4
sub get_capacity {
my ($self, %args) = @_;
return $self->{'capacity'};
}

public method Com::Vmware::Vcenter::Datastore::Summary::get_datastore | ( |  | ) |

Gets the value of 'datastore' property.

Return values

  datastore | - The current value of the field. Identifier of the datastore. ID#

Code:
click to view
# Number of lines of code in get_datastore: 4
sub get_datastore {
my ($self, %args) = @_;
return $self->{'datastore'};
}

public method Com::Vmware::Vcenter::Datastore::Summary::get_free_space | ( |  | ) |

Gets the value of 'free_space' property.

Return values

  free_space | - The current value of the field. Available space of this datastore, in bytes.

The server periodically updates this value.

Optional#

Code:
click to view
# Number of lines of code in get_free_space: 4
sub get_free_space {
my ($self, %args) = @_;
return $self->{'free_space'};
}

public method Com::Vmware::Vcenter::Datastore::Summary::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the datastore. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Datastore::Summary::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type (VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datatore. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Datastore::Summary::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Datastore::Summary structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{datastore} = $args{'datastore'};
$self->{name} = $args{'name'};
$self->{type} = $args{'type'};
$self->{free_space} = $args{'free_space'};
$self->{capacity} = $args{'capacity'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Datastore::Summary');
$self->set_binding_name('name' => 'com.vmware.vcenter.datastore.summary');
$self->set_binding_field('key' => 'datastore', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter', 'type_name' => 'Datastore::Type'));
$self->set_binding_field('key' => 'free_space', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'capacity', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Datastore::Summary::set_capacity | ( |  | ) |

Sets the given value for 'capacity' property.

Parameters

  capacity | - New value for the field. Capacity of this datastore, in bytes.

The server periodically updates this value.

Code:
click to view
# Number of lines of code in set_capacity: 5
sub set_capacity {
my ($self, %args) = @_;
$self->{'capacity'} = $args{'capacity'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Summary::set_datastore | ( |  | ) |

Sets the given value for 'datastore' property.

Parameters

  datastore | - New value for the field. Identifier of the datastore.

Code:
click to view
# Number of lines of code in set_datastore: 5
sub set_datastore {
my ($self, %args) = @_;
$self->{'datastore'} = $args{'datastore'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Summary::set_free_space | ( |  | ) |

Sets the given value for 'free_space' property.

Parameters

  free_space | - New value for the field. Available space of this datastore, in bytes.

The server periodically updates this value.

Code:
click to view
# Number of lines of code in set_free_space: 5
sub set_free_space {
my ($self, %args) = @_;
$self->{'free_space'} = $args{'free_space'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Summary::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the datastore.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vcenter::Datastore::Summary::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type (VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datatore.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Datastore.pm